VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 12
声望: 0

Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\peewee.py", line 3160, in execute_sql
cursor.execute(sql, params or ())
sqlite3.OperationalError: table dbbardata has no column named turnover

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\vnpy_datamanager\ui\widget.py", line 240, in import_data
datetime_format
File "c:\vnstudio\lib\site-packages\vnpy_datamanager\engine.py", line 94, in import_data_from_csv
self.database.save_bar_data(bars)
File "c:\vnstudio\lib\site-packages\vnpy_sqlite\sqlite_database.py", line 159, in save_bar_data
DbBarData.insert_many(c).on_conflict_replace().execute()
File "c:\vnstudio\lib\site-packages\peewee.py", line 1911, in inner
return method(self, database, args, **kwargs)
File "c:\vnstudio\lib\site-packages\peewee.py", line 1982, in execute
return self._execute(database)
File "c:\vnstudio\lib\site-packages\peewee.py", line 2761, in _execute
return super(Insert, self)._execute(database)
File "c:\vnstudio\lib\site-packages\peewee.py", line 2479, in _execute
cursor = database.execute(self)
File "c:\vnstudio\lib\site-packages\peewee.py", line 3173, in execute
return self.execute_sql(sql, params, commit=commit)
File "c:\vnstudio\lib\site-packages\peewee.py", line 3167, in execute_sql
self.commit()
File "c:\vnstudio\lib\site-packages\peewee.py", line 2933, in exit
reraise(new_type, new_type(exc_value,
exc_args), traceback)
File "c:\vnstudio\lib\site-packages\peewee.py", line 191, in reraise
raise value.with_traceback(tb)
File "c:\vnstudio\lib\site-packages\peewee.py", line 3160, in execute_sql
cursor.execute(sql, params or ())
peewee.OperationalError: table dbbardata has no column named turnover

Member
avatar
加入于:
帖子: 3254
声望: 218

数据库更新了turnover字段,但是你的sqlite没有更新字段,删除用户名目录下的.vntrader目录下的database.db再运行即可,删除前可以做好数据库的备份。

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】